{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf true {

  # Définition des domaines utilisés lorsque un identifiant non-FQDN est donné (ping, nslookup)
  networking = {
    search = [
      "dubronetwork.fr"
      "prunetwork.fr"
      "teleragno.fr"
      "teleragno.net"
    ];
    dnsExtensionMechanism = true;
  };
}
