{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    ./network-dns.nix

    # inclusion conditionnelle
    ./activation-manuelle/service-fail2ban.nix
    ./activation-manuelle/nix-serve-client.nix
    ./activation-manuelle/nix-serve-server.nix
    ./activation-manuelle/users.nix
  ];
}
